prim_type.h File Reference

Basic type definitions used in Sphinx. More...

`#include <sphinx_config.h>`

Go to the source code of this file.

## Data Structures

union | anytype_s
| Union of basic types. More...

## Macros

#define | __BIGSTACKVARIABLE__
#define | TRUE 1
#define | FALSE 0
#define | NULL (void *)0
#define | MAX_INT32 ((int32) 0x7fffffff)
#define | MAX_INT16 ((int16) 0x00007fff)
#define | MAX_INT8 ((int8) 0x0000007f)
#define | MAX_NEG_INT32 ((int32) 0x80000000)
#define | MAX_NEG_INT16 ((int16) 0xffff8000)
#define | MAX_NEG_INT8 ((int8) 0xffffff80)
#define | MAX_UINT32 ((uint32) 0xffffffff)
#define | MAX_UINT16 ((uint16) 0x0000ffff)
#define | MAX_UINT8 ((uint8) 0x000000ff)
#define | MAX_POS_FLOAT32 3.4e+38f
#define | MIN_POS_FLOAT32 1.2e-38f /* But not 0 */
#define | MAX_POS_FLOAT64 1.8e+307
#define | MIN_POS_FLOAT64 2.2e-308
#define | MAX_IEEE_NORM_POS_FLOAT32 3.4e+38f
#define | MIN_IEEE_NORM_POS_FLOAT32 1.2e-38f
#define | MIN_IEEE_NORM_NEG_FLOAT32 -3.4e+38f
#define | MAX_IEEE_NORM_POS_FLOAT64 1.8e+307
#define | MIN_IEEE_NORM_POS_FLOAT64 2.2e-308
#define | MIN_IEEE_NORM_NEG_FLOAT64 -1.8e+307
#define | MAX_NEG_FLOAT32 ((float32) (-MAX_POS_FLOAT32))
#define | MIN_NEG_FLOAT32 ((float32) (-MIN_POS_FLOAT32))
#define | MAX_NEG_FLOAT64 ((float64) (-MAX_POS_FLOAT64))
#define | MIN_NEG_FLOAT64 ((float64) (-MIN_POS_FLOAT64))

## Typedefs

typedef union anytype_s | anytype_t
| Union of basic types.
typedef int | int32
typedef short | int16
typedef signed char | int8
typedef unsigned int | uint32
typedef unsigned short | uint16
typedef unsigned char | uint8
typedef float | float32
typedef double | float64
typedef double | int64
typedef double | uint64

## Detailed Description

Basic type definitions used in Sphinx.

Definition in file prim_type.h.